Support » Plugin: Tide Graph » Shows deprecation notice for widget

  • The called constructor method for WP_Widget in Tide_Graph is deprecated since version 4.3.0! Use __construct() instead.

    it can be easily fixed by jus replacing code

    $this->WP_Widget( 'tidegraph-widget', __('Tide Graph Widget', 'tidegraph'), $widget_ops, $control_ops );

    with

    parent::__construct( 'tidegraph-widget', __('Tide Graph Widget', 'tidegraph'), $widget_ops, $control_ops );

    • This topic was modified 7 months, 3 weeks ago by  Milind More.
  • The topic ‘Shows deprecation notice for widget’ is closed to new replies.